Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems. Join them; it only takes a minute:

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

I started getting an error that looked like this the other day, and I Googled the problem but couldn't find the solution (probably because I don't quite to know what to Google), so I reinstalled the OS, but the error continues. What is the problem, and how can I go about fixing it?

Fedora 15 boot error

The modprobe error near the end is:

modprobe: FATAL: Error inserting microcode (/lib/modules/2.6.40.6-0.fc15.i686/kernel/arch/x86/kernel/microcode.ko): Invalid argument

udev-work[520]: '/sbin/microcode_ctl -Qu' unexpected exit with status 0x000f

At the moment, my CMOS battery has died and my BIOS is running with the default settings (whether this would make any difference, im not sure).

share|improve this question

closed as off-topic by Jeff Schaller, dhag, Archemar, sam, Kusalananda Jul 18 at 15:30

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced and seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – Jeff Schaller, dhag, Archemar, sam, Kusalananda
If this question can be reworded to fit the rules in the help center, please edit the question.

    
I wonder how come Fedora invented a 2.6.40 kernel. There is no such thing... Maybe they used some old pre-3.0 scripts to generate their default system configs and this results in unrecognized version strings... – rozcietrzewiacz Oct 16 '11 at 21:11
    
@rozcietrzewiacz - It's effectively 3.0 - plus.google.com/106327083461132854143/posts/SbnL3KaVRtM – Aaron D. Marasco Oct 17 '11 at 2:15
    
@AaronD.Marasco I understand it must be so - the problem is that they call it 2.6.40, which must lead to problems in various places. If they don't modify every single piece of software that needs to be kernel-version-aware, problems will (and obviously do) pop up. This is just a wrong way to go IMHO. – rozcietrzewiacz Oct 17 '11 at 6:19
    
So do you have anything that I can try to resolve this issue? Thanks – Chief17 Oct 17 '11 at 12:41
    
You using latest fedora version now? They use the correct string. – Braiam Jul 19 '13 at 12:49